# Poco::MongoDB

# class Element

Library: MongoDB
Package: MongoDB
Header: Poco/MongoDB/Element.h

## Description

Represents an Element of a Document or an Array.

## Inheritance

Known Derived Classes: ConcreteElement

## Member Summary

Member Functions: name, toString, type

## Types Aliases

### Ptr

using Ptr = Poco::SharedPtr < Element >;

## Constructors

### Element

explicit Element(
const std::string & name
);

Creates the Element with the given name.

## Destructor

### ~Element

virtual ~Element();

Destructor

## Member Functions

### name

const std::string & name() const;

Returns the name of the element.

### toString

virtual std::string toString(
int indent = 0
) const = 0;

Returns a string representation of the element.

### type

virtual int type() const = 0;

Returns the MongoDB type of the element.